
@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

$custom-typography: mat-typography-config(
  $font-family: 'Sansita',
  $headline: mat-typography-level(32px, 48px, 700),
  $body-1: mat-typography-level(16px, 24px, 500)
);
@include mat-core($custom-typography);
// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://www.google.com/design/spec/style/color.html
$candy-app-primary: mat-palette($mat-teal);
$candy-app-accent:  mat-palette($mat-brown,500);

// The warn palette is optional (defaults to red).
$candy-app-warn:    mat-palette($mat-red);

// Create the theme object (a Sass map containing all of the palettes).
$candy-app-theme: mat-light-theme($candy-app-primary, $candy-app-accent, $candy-app-warn);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($candy-app-theme);

/* @import '~@angular/material/theming';
@include mat-core();

$custom-primary: mat-palette($mat-deep-purple);
$custom-accent:  mat-palette($mat-pink);

// FROM
$custom-theme: mat-light-theme($custom-primary, $custom-accent);
 */

// TO 
//$custom-theme: mat-dark-theme($custom-primary, $custom-accent);

//@include angular-material-theme($custom-theme);